#pragma once

namespace cs
{
    class CMSendChatMsg;
    class CMSendCustomMsg;
    class CMReadMsgAndOpenChatNotify;
    class CMCloseChatNotify;
    class CMSetCurrPrivateChatTarget;
}

struct UserInfo;
class Player : public std::enable_shared_from_this<Player>
{
 public:
    int socket_handle = 0;

    void _CMSendChatMsg(f8::MsgHdr& hdr, const cs::CMSendChatMsg& msg);
    void _CMSendCustomMsg(f8::MsgHdr& hdr, const cs::CMSendCustomMsg& msg);
    void _CMReadMsgAndOpenChatNotify(f8::MsgHdr& hdr, const cs::CMReadMsgAndOpenChatNotify& msg);
    void _CMCloseChatNotify(f8::MsgHdr& hdr, const cs::CMCloseChatNotify& msg);
    void _CMSetCurrPrivateChatTarget(f8::MsgHdr& hdr, const cs::CMSetCurrPrivateChatTarget& msg);
    std::weak_ptr<UserInfo> GetUserInfo() { return user_info_; };

    const std::string& AccountId() { return account_id_; };

 private:
    std::string account_id_;
    std::weak_ptr<UserInfo> user_info_;
};
